Name:           cagefootvt
Version:        0.3.1
Release:        0
Summary:        Scripts to use Cage/Foot in your Virtual Terminal
License:        MIT
Group:          System/Console
URL:            https://gitlab.com/kdj0c/userspacevt.git
Source:         https://gitlab.com/kdj0c/userspacevt/-/archive/%{version}/userspacevt-%{version}.tar.bz2
Requires:       bash
Requires:       foot
Requires:       cage
Requires:       userspacevt
BuildRequires: systemd

BuildArch:      noarch

%description
Cagefootvt is a set of systemd units and shell scripts, to replace your VT with
cage (Wayland compositor) and foot (Lightweight terminal)

%prep
%setup -q -n userspacevt-%{version}

%build

%install
pushd cagefootvt
cp -a usr/ etc/ %{buildroot}/
popd

%files
%license LICENSE
%{_libexecdir}/%{name}/*.sh
%{_unitdir}/*.service
%{_sysusersdir}/*.conf
%{_sysconfdir}/pam.d/%{name}
%{_sysconfdir}/footvt.conf

%changelog
* Wed Mar 26 2025 Jocelyn Falempe jfalempe@redhat.com
- Initial spec file
